[script]
n0=on *:text:*:#acab:{
n1=  if (?log* iswm $1) {
n2=    if ($2 == $null || $3 == $null) {
n3=      msg # -
n4=      msg # Aranacak Logun [4Tarih ve 4Kanal] bilgisini vermelisiniz.
n5=      msg # Ornek kullanim: !log $time(dd-mm-yyyy) #acab
n6=      msg # -
n7=      return
n8=    }
n9=    if ($3 == #acab && $chan == #halfoper) { return }
n10=    var %dzn = $+(logbul,\,$+($chr(91),$2,$chr(93)),\,$3,.txt)
n11=    if (!$isfile(%dzn)) { 
n12=      msg # -
n13=      msg # 4> $+(,$chr(91),,$2,,$chr(93),) tarihinde $+(,$chr(91),,$3,,$chr(93),) kanalinin loglari bulunamadi. 
n14=      msg # -
n15=      return
n16=    }
n17=    else {
n18=      var %kcsyfa = $ayrac(%dzn)
n19=      msg # $+(4[Sayfa 1,/,,%kcsyfa,,4])
n20=      .play -tSAYFA-1 $chan %dzn 0
n21=      .timer 1 1 msg # $+(4[Sayfa 1,/,,%kcsyfa,,4])
n22=      if ($ayrac(%dzn) > 1) {
n23=        .timer 1 1 msg # 4>>>> Diger sayfaya gormek icin 4!ileri komutunu,
n24=        if (%kcsyfa > 5) { .timer 1 2 msg # 4>>>> Belirli sayfaya direkt gecmek icin ise 4!sayfa-no komutunu kullanin. }
n25=
n26=      }
n27=      set $+(%,logarayan,$nick) %dzn
n28=      set $+(%,logarayan,$nick,-sayfa) 1 
n29=      return
n30=    }
n31=  } 
n32=  if ($1 == !ileri) {
n33=    if ($var($+(%,logarayan,$nick))) {
n34=      inc $+(%,logarayan,$nick,-sayfa)
n35=      var %dno = $var($+(%,logarayan,$nick),1).value
n36=      var %sno = $var($+(%,logarayan,$nick,-sayfa),1).value
n37=      if ($read(%dno,w,$+([SAYFA-,%sno,])) == $null) { return }
n38=      else {
n39=        var %kcsyfa = $ayrac(%dno)
n40=        msg # $+(4[Sayfa %sno,/,,%kcsyfa,,4])
n41=        .play $+(-tSAYFA-,%sno) $chan %dno 0
n42=        .timer 1 1 msg # $+(4[Sayfa %sno,/,,%kcsyfa,,4])
n43=      }
n44=    }
n45=
n46=  }
n47=  if ($regex($1,/^!sayfa-(\d+)$/i)) {
n48=    if ($var($+(%,logarayan,$nick))) {
n49=      var %dno = $var($+(%,logarayan,$nick),1).value
n50=      var %sno = $regml(1)
n51=      var %kcsyfa = $ayrac(%dno)
n52=      if ($read(%dno,w,$+([,$remove($1,!),])) == $null) { return  }
n53=      else {
n54=        msg # $+(4[Sayfa %sno,/,,%kcsyfa,,4])
n55=        .play $+(-tSAYFA-,%sno) $chan %dno 0
n56=        .timer 1 1 msg # $+(4[Sayfa %sno,/,,%kcsyfa,,4])
n57=      }
n58=    }
n59=
n60=  }
n61=}
n62=
n63=alias ayrac {
n64=  var %px = 0, %readn = 0
n65=  while ($read($1,r,/^\[SAYFA-(\d+)\]$/i,%readn)) {
n66=    var %readn = $readn
n67=    inc %readn
n68=    inc %px
n69=  }
n70=  return %px
n71=}
